<?php

namespace HelpGent\App\DTO;

defined( 'ABSPATH' ) || exit;

class MessageForwardDTO {
    private int $id;
    
    private ?string $message;

    private ?string $attachment_id;

    private ?string $created_at = null;

    /**
     * Get the value of id
     *
     * @return int
     */
    public function get_id(): int {
        return $this->id;
    }
    
    /**
     * Set the value of id
     *
     * @param int $id
     * @return self
     */
    public function set_id( int $id ): self {
        $this->id = $id;
    
        return $this;
    }

    /**
     * Get the value of message
     *
     * @return ?string
     */
    public function get_message(): ?string {
        return $this->message;
    }
    
    /**
     * Set the value of message
     *
     * @param ?string $message
     * @return self
     */
    public function set_message( ?string $message ): self {
        $this->message = $message;
    
        return $this;
    }

    /**
     * Get the value of attachment_id
     *
     * @return ?string
     */
    public function get_attachment_id(): ?string {
        return $this->attachment_id;
    }
    
    /**
     * Set the value of attachment_id
     *
     * @param ?string $attachment_id
     * @return self
     */
    public function set_attachment_id( ?string $attachment_id ): self {
        $this->attachment_id = $attachment_id;
    
        return $this;
    }

    /**
     * Get the value of created_at
     *
     * @return ?string
     */
    public function get_created_at(): ?string {
        return $this->created_at;
    }

    /**
     * Set the value of created_at
     *
     * @param ?string $created_at
     * @return self
     */
    public function set_created_at( ?string $created_at ): self {
        $this->created_at = $created_at;

        return $this;
    }
}